// ----------------------------------------------------------------------
//
// TempParticleData.cc
// Author: Lynn Garren
//
// ----------------------------------------------------------------------

#include "HepPDT/defs.h"
#include "HepPDT/TempParticleData.hh"

namespace HepPDT {

double calculateWidthFromLifetime( double lt )
{
    // totalwidth = hbar / lifetime
    static double hbar = 6.58211889e-25; // in GeV s
    if( lt <= 0. ) { return 0.; }
    return hbar/lt;
}

}	// HepPDT
